                                "SKUNNY"
                                ========

Ce manuel est divis en six chapitres:

 - Equipement ncessaire
 - Installation et configuration;
 - Jeu;
 - Cration de niveaux;
 - Touches utilises;
 - Trucs et astuces.

Chapitre 1 - Equipement ncessaire
----------------------------------

Pour excuter ce jeu, nous recommandons un ordinateur 486 ou suprieur quip
de 8 MB de mmoire (RAM), d'une carte son et d'une souris. Il est aussi
possible d'utiliser un joystick.

Chapitre 2 - Installation et configuration
------------------------------------------

Dans ce chapitre, nous allons dcrire la procdure  suivre pour installer le
jeu et configurer votre carte son, le joystick, etc.

2.1 Installation

Pour dmarrer l'installation du jeu depuis un CD_ROM, insrez ce dernier dans
le lecteur, indiquez au systme que le lecteur de disque courant est le CD-ROM
et tapez INSTALL:

 - D:          <Enter>      Si D: est le lecteur CD-ROM.
 - INSTALL     <enter>

Si vous installez une version du jeu sur disquettes, insrez la premire
disquette dans le lecteur A: et tapez:

 - A:          <Enter>
 - INSTALL     <enter>

Si vous avez obtenu la version du jeu sur un BBS ou un serveur, dcompressez le
fichier dans un rpertoire temporaire et tapez INSTALL:

 - MD \TEMP            <Enter> Cration d'un rpertoire temporaire
 - CD \TEMP            <Enter>
 - PKUNZIP SKUNNY.ZIP  <Enter>
 - INSTALL             <Enter>

Notes: - Pour installer la version complte, vous aurez besoin de +/- 30
         Mo d'espace disque (9 Mo pour la version dmo);
       - Utilisez les touches curseur (<Haut> et <Bas>) pour dplacer la barre
         de slection, <Enter> pour slectionner une option ou <Esc> pour
         revenir au menu prcdent.

Si vous excutez l'installation depuis un CD-ROM, vous pourrez choisir entre
"Installation minimum" ou "Installation complte". L'installation minimum ne
copiera que les fichiers strictement ncessaires sur votre disque dur et
occupera donc moins d'espace disque. Cependant, cette option entranera un
dmarrage du jeu BEAUCOUP plus lent et nous conseillons vivement de choisir
l'installation complte.

Note: Si vous n'installez pas depuis un CD-ROM, la seule option propose
      sera "Installation".

Le programme demandera ensuite dans quel rpertoire vous souhaitez installer le
jeu (le rpertoire par dfaut est C:\SKUNNY) et l'installation commencera.

Quand cette dernire est termine, vous devrez voir apparatre le message
"Installation russie". Dans ce cas, vous pouvez quitter le programme INSTALL.

2.2 Configuration

Aprs l'installation, il faudra excuter le programme de configuration SETUP
pour choisir le langage (Franais, Anglais ou Allemand), la carte son, le
clavier ou le joystick. Si vous dcidez de jouer avec le clavier, vous
pourrez aussi choisir les touches de contrle du jeu. Pour dmarrer le
programme SETUP, tapez:

 - Setup  <enter>

Quand le programme dmarre, il demandera de choisir la langue et il affichera
ensuite le menu principal:

 - Choisir la carte son;
 - Choisir le contrleur;
 - Paramtrer le contrleur;
 - Tester la carte son;
 - Afficher la configuration;
 - Sauver et quitter;
 - Quitter sans sauvegarder.

Notes: - Utilisez les touches curseur (<Haut> et <Bas>) pour dplacer la
         barre de slection, <Enter> pour choisir une option ou <Esc> pour
         revenir au menu prcdent.
       - Le programme SETUP permet de definir les paramtres de la carte son
         et du contrleur (clavier ou joystick) et de tester ces priphriques!
         S'ils ne fonctionnent pas correctement dans SETUP, ils ne
         fonctionneront pas dans le jeu!

2.2.1 Choisir la carte son

Vous devez slectionner une carte son dans la liste (si vous n'en possdez pas,
choisissez l'option "Aucune"). Le programme demandera ensuite les paramtres de
la carte son. Si celle-ci a t convenablement installe, les valeurs proposes
par dfaut seront les paramtres de votre carte.

Notes: - Veuillez noter que ce programme et le jeu ne fonctionneront pas
         convenablement si les pilotes (drivers) de la carte son ne sont pas
         installs. Pour installer ces pilotes, veuillez consulter le manuel
         de votre carte son.
       - Attention, le choix de mauvais paramtres peut entraner un blocage
         de votre ordinateur. Il faudra alors redmarrer l'ordinateur et
         excuter le programme SETUP en choisissant les bons paramtres.

Ds que les paramtres sont choisis, slectionnez l'option "Test de la carte
son" pour vrifier son fonctionnement.

2.2.2 Choisir le contrleur

Cette option permettra d'indiquer si on souhaite utiliser le joystick ou le
clavier (le contrleur par dfaut est le clavier). Ensuite veuillez choisir
l'option "Paramtrer le contrleur" si vous souhaitez modifier certains
paramtres ou, "Afficher la configuration" pour consulter les paramtres par
dfaut.

2.2.3 Paramtrer le contrleur

Si vous avez choisi le joystick, vous pouvez le tester ou le calibrer et tre
certain qu'il fonctionne correctement. Si l'option "Calibrage automatique" ne
donne pas de bons rsultats, choisissez l'option "Calibrage manuel".

Si vous avez choisi le clavier, il est possible de dfinir les touches que vous
souhaitez utiliser dans le jeu (Pour consulter les valeurs par dfaut,
choisissez l'option "Afficher la configuration" du menu principal). La valeur
par dfaut pour chaque fonction du jeu (sauter, aller  gauche, courir, etc.)
sera affiche et vous pouvez soit enfoncer la touche <Enter> pour conserver la
valeur courante soit presser une autre touche (qui sera utilise dans le jeu
pour cette fonction) ou <Esc> pour arrter le paramtrage du clavier.

2.2.4 Tester la carte son

Choisissez cette option aprs avoir spcifi les paramtres de votre carte son
(option 1 du menu principal) pour la tester. La musique ET l'effet sonore
doivent tre audibles! Si vous ne pouvez pas entendre l'effet sonore, il existe
deux causes probables:

 - Vous avez choisi les mauvais paramtres de la carte (option 1 du menu
   principal). Slectionnez  nouveau cette option et vrifiez les paramtres.
 - Les pilotes de la carte son ne sont pas installs. Veuillez consulter
   le manuel de votre carte son pour procder  l'installation.

2.2.5 Afficher la configuration

Le choix de cette option entranera l'affichage de la configuration courante.
Elle sera sauvegarde et utilise dans le jeu si vous choisissez l'option
"Sauver et quitter".

2.2.6 Sauver et quitter

Sauvegarde de la configuration courante et fin du programme SETUP.

2.2.7 Quitter sans sauvegarder

Fin du programme SETUP, les modifications ne seront pas entregistres.




Chapitre 3 - Jeu
----------------

Pour dmarrer le jeu, changer le rpertoire courant vers celui choisi lors de
l'installation (C:\SKUNNY par dfaut) et tapez SKUNNY:

 - CD \SKUNNY           <Enter>   (ou CD \NOM si "NOM" est le nom du
                                  rpertoire choisi lors de l'installation).
 - SKUNNY               <Enter>

Le jeu affichera le menu principal et si vous n'appuyez sur aucune touche, la
dmo dmarrera automatiquement et montrera de nombreuses options du jeu.
Appuyez ensuite sur n'importe quelle touche pour faire rapparatre le menu.

Note:	Quand le menu est affich, utilisez les touches curseur (<Haut> et
<Bas>) pour dplacer la barre de slection, <Enter> pour choisir une option ou
<Esc> pour revenir au menu prcdent.

Maintenant, analysons les options de ce menu principal:

 - Jouer;
 - Histoire;
 - Paramtres;
 - Comment commander/ Information;
 - Gestion des mondes;
 - Instructions;
 - Fin du jeu.

Note: Ce jeu vous permettra de crer vos propres niveaux ou d'installer des
      niveaux crs par d'autres utilisateurs. Pour bien comprendre comment ce
      systme fonctionne, nous vous recommandons de lire les explications  de
      la section "3.5 Gestion des Mondes" ainsi que le chapitre suivant
      "Cration de niveaux". L'diteur/ Crateur de niveau inclus dans ce jeu
      est exactement le mme que celui qui a t utilis par notre quipe pour
      crer tous les niveaux de SKUNNY. C'est un outil trs puissant qui vous
      permettra de crer des niveaux de qualit professionnelle avec des
      animations spectaculaires en 3D en seulement quelques heures.

3.1 Jouer

Pour dmarrer le jeu, dplacer le curseur sur l'option "Jouer" du menu
principal et enfoncez la touche <Enter>. Le jeu affichera alors l'cran de
"slection de monde".

3.1.1 Slection de monde

En utilisant les touches <flche droite> et <flche gauche>, vous pouvez
modifier l'icne courante (chaque icne reprsente un monde). Au moyen des
touches <Page basse> et <Page haute>, il est possible de changer de page
(maximum six icnes par page). Le numro de la page courante est toujours
affich en bas de l'cran.

Pour slectionner un monde, enfoncez la touche <Enter>. Le jeu affichera alors
l'cran de "slection de niveau".

Notes: - Si vous souhaitez retourner au menu principal, enfoncez la
         touche <Esc>.
       - Dans la version complte du jeu, sept mondes sont installs:

          - L'or des pirates;
          - L'oasis du dsert;
          - Les fortunes d'orient;
          - Le chteau enchant;
          - Les trsors d'Egypte;
          - Les cavernes de glace;
          - Le monde d'entranement.

Dans la version dmo, seulement trois niveaux de "L'or des Pirates" et le
monde d'entranement sont  installs.

3.1.2 Slection de niveau

Dans le monde d'entranement, il est possible d'entrer dans tous les niveaux:
utilisez les touches <Flche gauche> et <Flche droite> pour passer d'un niveau
 l'autre et <Enter> pour commencer  jouer. Dans les autres mondes, seul le
niveau 1 sera accessible. Quand celui-ci sera termin vous aurez alors accs au
niveau 2, etc. On ne peut jouer un niveau que si on a termin le niveau
prcdent.

En haut de l'cran de slection de niveau, le jeu affiche le nom du niveau
courant, le meilleur score ainsi que le pourcentage du monde jou. Ces valeurs
ne seront mises  jour que si vous obtenez un meilleur score.

Pour obtenir 100% dans un niveau, il faudra trouver toutes les cls, toutes les
pices d'or, tous les niveaux bonus, tous les passages secrets et le trsor. Il
n'y a qu'un trsor par niveau mais il y a beaucoup de cls, pices, niveaux
bonus et passages secrets.

Note:	Si vous souhaitez slectionner un autre monde, enfoncez la touche
<Esc> et le jeu affichera  nouveau l'cran de slection de monde.

3.1.3 Jeu

Quand le niveau est commenc, il est possible de dplacer Skunny en utilisant
les touches suivantes ( moins que vous ne les ayez modifies avec le programme
SETUP):

 - <Flche gauche>        Skunny va  gauche;
 - <Flche droite>        Skunny va  droite;
 - <Flche basse>         Skunny se baisse / regarde en bas;
 - <Flche haute>         Skunny regarde en haut;
 - <Ctrl>                 Skunny saute;
 - <Shift>                Skunny court;
 - <Alt>                  Skunny et son train freinent (cf. "L'or des pirate"
                          Niveau 2, "Monde d'entranement" niveau 4, etc.).

Notes: - Pour sortir du jeu, enfoncez la touche <Esc>.
       - Avant de jouer, nous recommandons de regarder la dmo pendant
         quelques minutes. Elle vous apprendra beaucoup sur le fonctionnement
         du jeu!

Pour terminer un niveau, il faut trouver 100 cls au minimum et trouver la
porte de sortie ("Exit"). Si vous trouvez 100 pices d'or, vous recevrez une
vie supplmentaire. Parfois il sera ncessaire de sauter au dessus de la porte
pour continuer le niveau et collecter d'autres bonus ou des zones secrtes. Il
y a plusieurs niveaux bonus et beaucoup de passages secrets  trouver. Les
pices secrtes seront accessibles uniquement par l'intermdiaire d'un passage
secret. Si vous trouvez un niveau bonus, le jeu affichera "Niveau bonus". Il
est impossible de mourir dans un niveau bonus (sauf dans les niveaux "Train" en
se cognant contre un mur).

Note: Si vous ne pouvez pas tout ramasser dans un niveau bonus, quittez le
      niveau bonus et entrez-y  nouveau.

3.1.4 Organisation du paneau (zone au-dessus de l'cran)

En jouant, diffrents paramtres sont affichs de manire permanente et
d'autres de manire occasionnelle:

 En haut  gauche     Temps restant pour finir le niveau. Si ce temps est
                      coul, vous pourrez continuer  jouer mais si vous
                      terminez le niveau avant l'expiration du temps limite
                      vous recevrez des points supplmentaires.
 Au milieu  gauche   Nombre de vies de Skunny;
 Au milieu  droite   Nombre de cls restant  trouver avant l'ouverture de
                      la porte de sortie;
 En haut  droite     Energie de Skunny. Si cette valeur atteint 0, Skunny
                      perdra une vie.

Quand Skunny ramasse une pice d'or, le nombre de pices qu'il possde sera
affich en bas  gauche de l'cran pendant quelques secondes. Si ce nombre
atteint 100 (5 dans le monde d'entranement), Skunny recevra une vie
supplmentaire.

Quand Skunny a ramass 100 cls (5 dans le monde d'entranement), le mot
"sortie" clignotera en bas  droite de l'cran pour indiquer que la sortie est
ouverte.

A la fin du jeu, les totaux seront affichs ainsi que le pourcentage de
ralisation du niveau. Ces valeurs seront sauvegardes et affiches sur
l'cran de slection de niveau si elles sont meilleures que les valeurs
prcdentes! Le jeu n'affichera pas le nombre de niveaux bonus non trouvs!

3.1.5 Objets du jeu

Il y a beaucoup de diffrents objets, ennemis, bonus, etc. dans ce jeu. Nous ne
pouvons malheureusement pas les dcrire tous mais nous allons donner une
description des plus importants.

3.1.5.1 Les tonneaux

Ce jeu contient deux types de tonneaux: automatiques et manuels. Quand Skunny
saute dans un tonneau, il sera cach dans ce dernier. Pour sortir il faudra
enfoncer la touche <Ctrl> (ou la touche Jump du joystick ou toute autre touche
que vous aurez assign  la fonction Jump avec le programme SETUP) au bon
moment pour tre ject dans la direction voulue. Les tonneaux avec un clair
blanc jecteront Skunny automatiquement.

Note: Regardez bien l'ouverture dans le tonneau quand il tourne. Appuyez
      sur <Ctrl> quand cette ouverture est dans la direction dans laquelle vous
      souhaitez jecter Skunny. La position de l'ouverture dans le tonneau de
      destination n'a pas d'importance, seulement la position du tonneau
      d'origine est  prendre en considration.


3.1.5.2 Les ballons

Quand Skunny saute sur un ballon de plage, il est possible d'utiliser la touche
<Ctrl> pour sauter plus haut. Dans certains cas, le ballon pourra tre dplac
par Skunny. Attention de ne pas le perdre en le faisant tomber dans un trou car
Skunny en aura certainement besoin pour atteindre une zone importante proche du
ballon.

3.1.5.3 Les chelles et les cordes

Pour grimper sur une chelle ou sur une corde, utilisez les touches <Flche
haute> pour monter et <Flche basse> pour descendre. Les squences
<Ctrl><Flche gauche> et <Ctrl><Flche droites> (maintenir <Ctrl> enfonc et
presser <Flche gauche> ou <Flche droite>) serviront  quitter l'chelle ou la
corde. En tant sur une chelle ou sur une corde, utilisez les touches <Flche
gauche> ou <Flche droite> pour regarder dans l'une ou l'autre direction.

3.1.5.4 Les passages secrets

Pour trouver les passages secrets, amenez Skunny prs des murs, ceux-ci
s'ouvriront alors automatiquement.

3.1.5.5 Les niveaux bonus

Les niveaux bonus sont aussi cachs dans les murs et la mthode pour les
trouver est la mme que pour les passages secrets.

3.1.5.6 Les zones secrtes

Certaines zones dans les murs contiennent des bonus. La mthode pour les
trouver est  nouveau la mme que pour les passages secrets.

3.1.5.7 Les bonus

Pour ramasser un bonus, il faut simplement que Skunny le touche. Certains bonus
exploseront et creront une srie d'autres bonus. Skunny aura alors un temps
limit pour les ramasser ou ils disparatront.

3.1.5.8 Les ennemis

Pour tuer les ennemis, il suffit de sauter sur leur tte. Pour tuer le bonhomme
de neige il faudra sauter deux fois sur sa tte.

Notes: - Attention, un ennemi ne peut pas tre touch s'il saute!
       - Il est impossible de tuer les ennemis qui volent (gupes,
         chauve-souris).
       - Ceci n'est pas un jeu "tirer sur tout ce qui bouge" et il n'y a donc
         pas des centaines d'ennemis!

3.1.5.9 Les portes

Pour ouvrir une porte, il faut d'abord trouver l'interrupteur associ. Toutes
les portes et les interrupteurs ont un numro pour faciliter la recherche.

Il y a normment d'autres choses dans ce jeu et nous vous suggrons de les
dcouvrir en jouant. Bonne chance!

3.2 L'histoire

Cette option de menu entranera l'affichage de l'histoire du jeu.

3.3 Les paramtres

Un menu sera affich pour modifier certains paramtres de base du jeu:

 - Niveau de difficult;
 - Volume de la musique;
 - Volume des sons;
 - Vitesse du jeu.

Uitlisez les touches <Flche gauche> et <Flche droite> pour modifier ces
valeurs.

Note: Si vous souhaitez modifier d'autres paramtres (carte son, touches du
      clavier, etc.), nous suggrons d'excuter le programme SETUP.

3.4 Comment commander/ Information

Si vous possdez la version complte du jeu, cette option entranera
l'affichage du copyright. Dans la version dmo, le programme affichera des
informations pour vous indiquer comment commander la version complte du jeu.

3.5 Gestion des mondes

Cette option donnera accs  un systme pour crer, installer ou modifier des
mondes:

 - Crer un monde;
 - Installer un monde;
 - Extraire un monde;
 - Effacer un monde;
 - Modifier un monde.

3.5.1 Crer un monde

Si vous choisissez cette option, le jeu affichera les icnes des graphiques
(mondes) disponibles. Utilisez les touches <Flche gauche> et <Flche droite>
pour passer d'un icne  l'autre et <Enter> pour choisir.

Le nouveau monde sera alors cr et le systme vous demandera le nom du monde
ainsi que les noms des niveaux.

Note: Dans la version dmo du jeu, seuls les graphiques du monde
      "Pirate" sont installs et la taille des niveaux est limite  50 * 50.
      Dans la version complte, tous les graphiques sont installs et
      la taille par dfaut des niveaux est de 200 * 150 (taille utilise
      dans nos niveaux).

Pour modifier les niveaux (qui sont actuellement vides), il faudra choisir
l'option "Jouer" du menu principal, appuyer sur la touche <Page basse>,
dplacer le curseur sur l'icne reprsentant le nouveau monde et appuyer sur
<Enter>. L'cran de slection de niveau sera alors affich et on enfoncera 
nouveau <Enter> pour entrer dans le niveau 1.

Veuillez ensuite consulter le chapitre suivant "Cration de niveaux" pour
apprendre  utiliser l'diteur pour crer des niveaux.

3.5.2 Installer un monde

Cette option permettra d'installer des niveaux crs par d'autres utilisateurs.
Par exemple, si vous avez reu un fichier appel WRLD0100.SKU, il faudra taper
ce nom quand le systme demande le nom du fichier et le nouveau monde sera
ensuite install.

Notes: - Si vous recevez plusieurs fichiers diffrents mais qui se
         nomment tous WRLD0100.SKU, le systme installera tous ces mondes
         correctement (le second WRLD0100.SKU n'crasera pas le premier);
       - Cette option n'est pas disponible dans la version dmo.

3.5.3 Extraire un monde

Quand vous avez cr un monde et que vous voulez le distribuer  des amis, il
faudra choisir cette option. Le jeu affichera alors une srie d'icnes
reprsentant les mondes qu'il est possible d'extraire. Utilisez les touches
curseur pour choisir le monde et appuyez sur <Enter>.

Le jeu compressera alors les donnes dans un fichier et affichera son nom et
son emplacement sur votre disque dur. Il ne reste plus qu' sortir du jeu et 
distribuer ce fichier.

3.5.4 Effacer un monde

Si vous souhaitez effacer un monde, cette option affichera la liste des mondes
qu'il est possible d'effacer. Dplacer le curseur sur l'icne du monde 
effacer et appuyer sur la touche <Enter>.

3.5.6 Modication d'un monde

Cette option permettra de modifier le nom d'un monde ainsi que les noms des
niveaux. Dplacez le curseur sur l'icne du monde  modifier, appuyez sur
<Enter> et modifiez les diffrents champs.

3.6 Instructions

Cette option affichera les instructions de base pour savoir jouer avec SKUNNY.

3.7 Quitter

Cette option permet de quitter le jeu pour retourner au systme d'exploitation
(DOS, WIN95, etc.).

Chapitre 4 - Cration de niveaux
--------------------------------

Comme nous l'avons signal, ce jeu possde un diteur/ crateur de niveaux
intgr. Mais, avant d'explorer cet outil, il est important de donner
rapidement quelques dfinitions et d'expliquer comment ce systme fonctionne.

4.1 Definitions

Un jeu est contruit avec des objets graphiques. Un niveau est une zone
rectangulaire qui contient des objets. Ces objets peuvent tre statiques ou
mobiles:

 - Ennemi;
 - Bonus;
 - Echelle;
 - Arbre;
 - Mur;
 - Plateforme;
 - Porte;
 - Etc.

4.1.1 Les plans

Ce systme permet d'ajouter des objets dans cinq diffrents plans (layers) de
dfilement "parallax" (parallax scrolling):

 - Plan 0          Contient l'image de fond. Ce plan ne peut pas contenir
                   d'objets.
 - Plan 1          Contient des objets de dcoration;
 - Plan 2          Contient la map (les blocs);
 - Plan 3          Contient les objets du jeu (ennemis, etc.). C'est le plan
                   de jeu.
 - Plan 4          Contient des objets de dcoration.

Notes: - Les objets du plan 1 sont toujours affichs derrire les objets
         du plan 2. Les objets du plan 2 sont derrire ceux du plan 3, etc.
       - Chaque plan dfile  une vitesse diffrente pour crer une
         perspective.
       - Les objets du plan 3 peuvent en outre recevoir un attribut "Avant" ou
         "Arrire" pour indiquer s'ils doivent tre devant ou derrire Skunny.
         Ceci cre virtuellement encore un plan supplmentaire.

4.1.2 Le plan de la "map" (plan 2)

Pour construire un niveau, nous devons d'abord construire la "map". La map
indique o Skunny pourra se dplacer dans le niveau: nous devons dfinir o
sont les plateformes, les murs, les pentes, etc. Cette "map" est
construite comme un puzzle avec des blocs graphiques rectangulaires. Une srie
de 126 blocs est appele une "quadri". Une "map" peut tre contruite  partir
de diffrentes quadris (en gnral entre 1 et 12 par monde dans ce jeu).

Note: La taille standard des maps est de 200 blocs de large et 150 blocs de
      haut (30.000 blocs) mais celle-ci peut tre change.


4.1.3 Plans des objets

Tous les ennemis, les bonus, etc. sont insrs dans le plan 3 (plan de Skunny).
Le systme permettra  l'utilisateur de choisir un objet dans une liste pour le
placer n'importe o dans le niveau au moyen de la souris. Tous les paramtres
des objets (force, mouvement, etc.) sont pr-dfinis.

4.2 Modifier un niveau

Le meilleur moyen pour comprendre comment tout cela fonctionne est
l'exprimentation! Vous ne pourrez pas modifier nos niveaux du jeu (six
premiers mondes) car cela dtruirait la jouabilit: n'importe qui pourrait trop
simplement enlever un ennemi trop difficile ou modifier un passage compliqu.

Pour essayer l'diteur, nous avons cr un monde d'entranement (disponible
dans la version dmo et dans la version complte), il s'agit du monde 7
(premier monde de la page 2 dans l'cran de slection de monde). Les niveaux de
ce monde d'entranement ne sont pas construits pour tre jous, ils servent
uniquement  montrer les options de l'diteur et les diffrents objets du jeu.
Pour accder  ce monde, choisissez l'option "Jouer" du menu principal,
enfoncez la touche <Page Basse>, choisissez le monde "Entranement" et enfoncez
la touche <Enter>. Le systme affiche alors l'cran de slection de niveaux. Il
y a six niveaux dans ce monde et chaque niveau permettra d'exprimenter
diffrents objets du jeu:

 - Niveau 1      Ce niveau contient des flammes, des battes de baseball, des
                 sacs magiques, des cordes, des lumires, une porte et un
                 interrupteur, un marteau et un tapis volant;
 - Niveau 2      Ce niveau contient des tonneaux, une vie supplmentaire, un
                 bonus d'nergie, un trsor et une scie dangereuse suspendue 
                 une corde;
 - Niveau 3      Ce niveau contient une zone de flipper, diffrents ennemis,
                 des plateformes qui bougent, des pommes, un point de
                 sauvegarde, des lances, un mur qui bouge et encore des
                 flammes;
 - Niveau 4      Ce niveau contient deux types de trains;
 - Niveau 5      Ce niveau contient des passages et des zones secrtes, des
                 scies, un plafond spcial et des tapis volants;
 - Niveau 6      Ce dernier niveau montrera comment utiliser des
                 transporteurs pour crer des niveaux bonus, il contient aussi
                 des blocs ennemis, des plateformes rouges assez spciales,
                 des cordes et des bonus.

Note: Dans ce monde d'entranement, il n'est pas ncessaire de terminer un
      niveau pour passer au niveau suivant.

Nous pouvons maintenant dplacer le curseur sur "Niveau 1" et enfoncer la
touche <Enter> pour dcouvrir cet diteur.

4.2.1 Introduction

Quand le jeu affiche le message "Attention!", enfoncez simultanment les
touches <Shift> et <Tab> pour entrer en mode "dition". Le programme chargera
les paramtres du niveau et affichera:

 - Une bote  outils en haut  droite de l'cran ('Toolbox");
 - Un message d'aide en bas de l'cran;
 - Une ligne d'tat en haut  gauche de l'cran.

Note: Il faut une souris pour accder  l'diteur.

Pour faire dfiler la map, utilisez les touches curseur (<Flche gauche>,
<Flche droite>, <Flche haute>, <Flche basse>). Pour acclrer le
dplacement, tenir une touche curseur enfonce et appuyer sur <Ctrl>. Chaque
fois que vous enfoncez la touche <Ctrl>, la map sera dplace d'un cran dans
la direction choisie.

4.2.1.1 La bote  outils

La bote  outils est compose de six icnes (A --> F pour ce document):

 A - Affiche le dictionnaire des objets statiques ou les quadris;
 B - Active ou dsactive la grille (si la grille est active, le curseur
     de l'diteur se dplace par bloc de huit pixels sinon il se dplace
     de un pixel);
 C - Dplace l'objet slectionn vers la gauche (bouton gauche de la
     souris) ou vers la droite (bouton droit de la souris);
 D - Dplace l'objet slectionn vers le haut (bouton gauche de la
     souris) ou vers le bas (bouton droit de la souris);
 E - Change le plan courant : <Bouton gauche de la souris>=plan
     prcdent ou <Bouton droit de la souris>= plan suivant;
 F - Cache tous les plans sauf le plan courant. Reslectionner cette icne
     pour rafficher tous les plans.

4.2.1.2 Le message d'aide

Si vous dplacez le pointeur de la souris sur les icnes de la bote  outils,
un message d'aide apparatra en bas de l'cran pour chaque icne. Gnralement
la partie gauche du message indique l'action en cas d'utilisation du <Bouton
gauche de la souris> et la partie droite indique l'action en cas d'utilisation
du <Bouton droit de la souris> .

Note: Il est possible de supprimer l'affichage de ce message en appuyant
      sur la touche <F12>. Pour que le message soit  nouveau affich appuyer
      une seconde fois sur cette mme touche.

4.2.1.3 La ligne d'tat

La ligne d'tat est affiche dans le coin suprieur gauche de l'cran et elle
donne les informations suivantes:

 - "G"       Grille en service, rien si la grille n'est pas en service.
 - X:Y       Coordonnes X,Y du bloc dans le coin suprieur gauche de
             l'cran.
 - L3        Pour indiquer le plan courant (L3 pour plan 3, L2 pour plan 2).
 - PROT      Si les blocs du plan 2 sont protgs contre la modification
             (rien n'est affich s'ils ne sont pas protgs.).

4.2.2 Modification d'un niveau

Nous pouvons modifier la map (plan 2) et nous pouvons aussi ajouter ou effacer
des objets des autres plans.

4.2.2.1 Modification de la MAP (plan 2)

Une map est construite avec des blocs. Le systme sait automatiquement si un
bloc est une plateforme ou un mur (paramtres pr-dfinis, cf. ci-dessous
"information de collision").

Dplacez le curseur sur l'option E de la bote d'outils (modification du plan
courant) et appuyez le <Bouton gauche de la souris>. Le systme affiche
maintenant L2 sur la barre d'tat pour nous indiquer que le plan 2 est le plan
courant.

Note: Pour changer le plan courant, on peut aussi utiliser les touches
      <Page basse> et <Page haute>.

4.2.2.1.1 Ajout de blocs dans la map

Appuyez sur la touche <F1> (premire touche de fonction) pour afficher la liste
des blocs (une liste de 126 blocs est appele une "quadri"). Nous sommes
maintenant en mode "dictionnaire". Choisissez un block en positionnant le
pointeur de la souris sur celui-ci et en appuyant sur le <Bouton gauche de la
souris>. L'diteur affiche  nouveau l'cran du jeu.

Dplacez le pointeur de la souris n'importe o dans l'cran et appuyez sur le
<Bouton droit de la souris> pour ajouter le bloc dans la map  la position
courante de la souris. Si vous dplacez la souris et que vous appuyez  nouveau
sur le <Bouton droit>, le mme bloc sera de nouveau ajout  la map. En tenant
le <Bouton droit> enfonc et en dplaant la souris, vous pourrez remplir des
zones avec ce mme bloc. Pour choisir un autre bloc, enfoncez <F1>, dplacez le
pointeur sur un autre bloc et appuyez le <Bouton gauche>. Appuyez ensuite le
<Bouton droit> pour ajouter ce bloc dans la map.

Note: Il est toujours possible de voir le bloc courant  tranvers le
      curseur clignotant.

Vous pouvez aussi dcider d'ajouter un bloc qui est dj dans la map  un autre
endroit. Pour cela, cliquez avec le <Bouton gauche> sur le bloc que vous
souhaitez copier, il apparatra alors dans le curseur clignotant et on pourra
l'ajouter n'importe o dans la map en appuyant sur le <Bouton droit>

Ŀ
 Le <Bouton gauche> est utilis pour slectionner un bloc (dans la map ou    
 dans une quadri) et le <Bouton droit> servira  ajouter le bloc courant     
 dans la map.                                                                


4.2.2.1.2 Ajout de blocs appartenant  d'autres quadris

Nous avons vu que <F1> entrane l'affichage d'une quadri (mode dictionnaire de
blocs). Chaque monde est construit avec un maximum de 12 quadris. Il est
possible d'en slectionner une en appuyant sur une touche de fonction:

 <F1>   Pour afficher la quadri 1
 <F2>   Pour afficher la quadri 2
 <F3>   Pour afficher la quadri 3
 ...
 <F12>  Pour afficher la quadri 12

Note: Vous pouvez aussi appuyer sur le <bouton droit> de la souris pour
      passer  la quadri suivante. Si la dernire quadri est atteinte, le
      systme raffichera la premire quadri si vous appuyez le <Bouton
      droit>.

On pourra ensuite choisir n'importe quel bloc en utilisant le <Bouton gauche de
la souris> comme expliqu prcdemment.

4.2.2.1.3 Effacement de blocs de la map

Pour effacer un bloc de la map, tenir la touche <Shift> enfonce, dplacer le
pointeur de la souris sur le bloc  effacer et appuyer sur le <Bouton droit de
la souris>. En maintenant la touche <Shift> enfonce ainsi que le <Bouton
droit>, vous pourrez effacez des zones de blocs en dplacant la souris.

4.2.2.1.4 Slection d'une srie de blocs dans une quadri

Tapez <F1> pour afficher une quadri. Dplacez le pointeur de la souris sur le
bloc en haut  gauche de la srie  slectionner. Appuyez le <Bouton gauche> et
MAINTENEZ-le enfonc tout en dplaant la souris vers le bloc en bas  droite
de la srie. Relacher le <Bouton> pour terminer la slection, l'diteur affiche
alors  nouveau le niveau, utilisez le <Bouton droit> pour ajouter cette srie
de blocs  la position courante de la souris. Pour liminer la slection,
enfoncez la touche <Shift-Lock> (<Caps-Lock> ou <Maj> sur certains claviers).

4.2.2.1.5 Slection d'une srie de blocs dans la map

Il est aussi possible de slectionner une srie de blocs dans la map:
positionner le pointeur de la souris sur le bloc en haut  gauche de la zone
souhaite, taper <Enter>, dplacer le pointeur sur le bloc en bas  droite de
la zone et taper  nouveau <Enter>. Pour ajouter cette slection dans une autre
partie de la map, enfoncer le <Bouton droit de la souris>. Pour liminer la
slection appuyer sur <Shift-Lock>.

4.2.2.1.6 Sauvegarde/ Chargement d'une slection sur disque

Quand une srie de blocs est slectionne, il est possible de la sauvegarder:
maintenez la touche <Alt> enfonce et appuyez sur une touche entre <1> et <9>
en haut du clavier. Pour rcuprer une slection, tapez simplement sur une
touche entre <1> et <9> (<1> pour rcuprer la slection sauve en <Alt><1>,
etc.). Pour liminer la slection appuyer sur <Shift-Lock>.

Notes: - Le plan 2 est le seul qui contient des blocs.
       - N'utilisez pas les chiffres <1>  <9> du pav numrique mais ceux qui
         se trouvent en haut du clavier.

4.2.2.1.7 Affichage d'une map rduite

Pour afficher une map rduite du niveau, enfoncer la touche <F11>. Il est
ensuite possible d'utiliser les touches curseur (<Flches>) pour dplacer la
map. Si on clique avec le <Bouton gauche> de la souris dans la map rduite,
l'diteur affichera  nouveau la map au format normal  la position choisie.

Notes: - Il est aussi possible d'utiliser les touches <+> et <-> du pav
         numrique ( droite au clavier) pour agrandir ou diminuer cette
         vue rduite.
       - Le petit rectangle qui clignote dans la map rduite indique la
         position courante de SKUNNY.

4.2.2.1.8 Affichage des informations de collision des blocs

Il est important de connatre le type de chaque bloc car cela indique au jeu si
Skunny peut se tenir sur un bloc (plateforme), s'il sera arrt par un bloc
(mur), etc. Pour consulter ces informations, enfoncer la touche <F1> (le plan 2
doit tre le plan courant), slectionner ensuite une quadri (touches
<F1>..<F12>), appuyer sur <Ctrl> et maintenir cette touche enfonce pour
afficher les informations de collision (une lettre sera affiche au dessus des
blocs):

Si aucune lettre n'apparat sur certains blocs, cela signifie qu'il n'ont pas
d'action particulire sur le jeu et qu'il s'agit probablement de blocs de
dcoration.

Les diffrentes lettres sont les suivantes:

 - G    Plateforme ("Ground");
 - W    Mur ("Wall");
 - E    Ennemi;
 - O    Obstacle;
 - L    Bloc glissant vers la gauche;
 - R    Bloc glissant vers la droite;
 - M    Bloc masqu (Skunny apparatra derrire ces blocs);
 - #    Plateformes pour le train (mais pas pour Skunny). Par contre les
        blocs "G" sont des plateformes pour le train ET pour Skunny;
 - S    Entre de passage secret. Une passage secret s'ouvrira si Skunny
        touche un de ces blocs.
 - P    Passage secret.

Note: Gnralement, un passage secret est construit avec des blocs "S" sur
      les cts et des blocs "P" au milieu.

4.2.2.1.9 Construction de passages secrets

Pour analyser nos passages secrets, choisissez le monde d'entranement, niveau
5 (Taper <Esc> pour quitter le niveau courant et retourner  l'cran de
slection de niveau, dplacer le curseur sur "Niveau 5" et taper <Enter>).
Ensuite enfoncer la squence <Shift><Tab> pour appeler l'diteur.

En maintenant la touche <P> (pour "Passage") enfonce, les passages secrets
seront ouverts temporairement. Quand cette touche est relache, ils
redeviennent cachs.

Note: Pour localiser facilement des passages secrets dans une grande map,
      utiliser la touche <F11> (map rduite), les touches curseur pour dplacer
      la map et <P> pour ouvrir les passages. Ds qu'un passage est localis,
      pointer avec la souris sur celui-ci et enfoncer le <Bouton gauche>, le
      systme revient alors en mode normal et le passage secret est dans
      la zone de l'cran.

Un passage secret est TOUJOURS construit avec des blocs des quadri 8 et 9. Le
systme est trs simple: lorsque le passage s'ouvre, chaque bloc sera remplac
par le bloc se trouvant  la mme ligne mais dans la colonne suivante de la
quadri. Ainsi, les blocs des colonnes impaires sont utiliss quand un passage
secret est ferm et les colonnes paires quand il est ouvert. En d'autres mots,
quand un passage s'ouvre, chaque bloc du passage est remplac par le bloc de la
colonne + 1.

Pour bien comprendre comment cela fonctionne, excutez les oprations
suivantes:

 - Localisez un passage secret (avec la touche <P>);
 - Slectionnez le plan 2;
 - Slectionnez un bloc du passage avec le <Bouton gauche de la souris>;
 - Enfoncez la touche <F1> pour afficher les quadris;
 - Tapez <F8> ou <F9> pour voir un bloc entour d'un rectangle blanc:
   ils'agit du bloc slectionn.
 - Regardez le bloc immdiatement  droite: c'est le bloc de
   remplacement lorsque le passage s'ouvre.

Note: Ce systme ncessite un grand nombre de blocs (2 quadris) car le
      nombre de passages secrets diffrents qu'il est possible de construire
      est impressionnant. Certains blocs devront tre remplacs par une
      plateforme, d'autres par un mur, d'autre par une ombre, etc.

4.2.2.2 Modification des autres plans

Les autres plans sont remplis d'objets. Ces objets sont regroups en
diffrentes catgories:

 - Skunny;
 - Objets statiques (arbres, chelles, etc.);
 - Bonus;
 - Utilitaires;
 - Ennemis;
 - Cordes.

Choisissez le plan 1, 3 ou 4 en cliquant sur l'option "E" de la bote  outils.
Le <Bouton gauche> sert  passer au plan prcdent et le <Bouton droit> au
plan suivant. Il est aussi possible d'utiliser <Page basse> et <Page haute>
pour changer de plan. Le plan de plus important est le plan 3 car il contient
Skunny et tous les lments essentiels du jeu (bonus, utilitaires, etc.). Les
autres plans sont utiliss pour les objets de dcoration (arbres, etc.).

Note: Lorsque l'on ajoute des objets dans les plans, il faudra toujours
      surveiller si on ne dpasse pas les limites autorises. Pour contrler
      ces limites, enfoncer la touche <Barre d'espace>. Cette fonction
      affichera les valeurs suivantes:

       - Cls               Nombre de cls actuellement dans le niveau;
       - Pices             Nombre de pices d'or dans le niveau;
       - Bonus              Nombre de niveaux bonus dans le niveau;
       - Trsor             Nombre de trsors dans le niveau (doit tre gal
                             1!);
       - Passages           Nombre de passages secrets;
       - Animations libres  Nombre d'animations (bonus, utilitaires ou autres
                            objets anims) qu'il est encore possible d'ajouter
                            au niveau. Veuillez vous assurer que ce nombre ne
                            soit jamais infrieur  20 car certains objets
                            en crent d'autres. Si ce nombre descend en dessous
                            de 0, le systme s'arrtera avec une erreur.
       - Objets plan 3      Nombre d'objets qu'il est possible d'ajouter dans
                            le plan 3.
       - Objets niveau      Nombre d'objets qu'il est possible d'ajouter dans
                            les autres plans.

4.2.2.2.1 Ajout d'un objet statique dans le niveau

Pour cet exemple, choisissons d'ajouter un objet dans le plan 1 (L1 doit
apparatre en haut  gauche de l'cran). Enfoncons ensuite la touche <F1> et
cliquons l'option "A" de la bote  outils pour afficher le dictionnaire des
objets.

Utilisons les touches <Flche gauche>, <Flche droite>, <Flche haute>, <Flche
basse> pour parcourir les objets et cliquons avec le <Bouton gauche> de la
souris sur un palmier.

Maintenant, dplaons la souris dans la map et positionnons l'objet en cliquant
avec le <Bouton droit de la souris>. Il est toujours possible de dplacer
l'objet:

 - Dplacez le pointeur de la souris sur l'objet;
 - Enfoncez et maintenir le <Bouton gauche> de la souris (un rectangle
   apparatra autour de l'objet);
 - Dplacez la souris tout en maintenant le <Bouton gauche> enfonc;
 - Lachez le bouton pour dposer l'objet  l'endroit souhait.

Ŀ
 Le <Bouton gauche> est utilis pour slectionner un objet (dans un plan ou  
 dans le dictionnaire) et le <Bouton droit> permet d'ajouter un objet dans   
 un plan.                                                                    


4.2.2.2.2 Effacement d'un objet

Pour effacer un objet, dplacer le pointeur de la souris sur l'objet, enfoncer
le <Bouton gauche> pour le slectionner et appuyer sur la touche <Backspace>
(au dessus de <Enter>) pour l'effacer.

4.2.2.2.3 Ajout d'utilitaires

Pour placer un utilitaire (tonneau, ressort, flipper, etc.) dans un niveau,
slectionner le plan 3 et enfoncer la touche <F2>. Le systme affichera la
liste des utilitaires, choisissons "UT01":

 - Dplacez la souris sur "UT01";
 - Enfoncez le <Bouton gauche de la souris>.

Le systme affiche  nouveau le niveau et nous pouvons ajouter l'utilitaire en
appuyant sur le <Bouton droit> de la souris. Pour dplacer l'utilitaire,
cliquer sur ce dernier avec le <Bouton gauche> et dplacer la souris tout en
maintenant le <Bouton gauche> enfonc. Relacher le <Bouton gauche> pour dfinir
la nouvelle position de l'objet.

Note: Avec certains utilitaires (tonneaux, ressorts), une ligne noire sera
      affiche quand on le slectionne pour indiquer jusqu'o l'utilitaire
      projetera Skunny en cas de collision.

4.2.2.2.4 Ajout de bonus

Pour choisir un bonus, appuyez trois fois sur la touche <F2> (La liste des
utilitaires apparatra d'abord, ensuite la liste des cordes et finalement celle
des bonus). Choisissez le bonus et ajoutez le dans le niveau exactement comme
nous l'avons fait ci-dessus avec l'utilitaire.

Note: Il exite un bonus spcial "Extreasy" pour donner une vie
      supplmentaire  Skunny qui n'apparatra que si le jeu est en mode
      "Facile" (cf. Paramtres). Ceci donne une chance supplmentaire aux
      joueurs moins expriments. Attention donc de ne pas oublier ce cas
      spcial quand vous crez vos niveaux.

4.2.2.2.5 Ajout d'ennemis

Pour choisir un ennemi dans la liste, enfoncez la touche <F2> jusqu' ce qu'on
voie apparatre "Liste des ennemis" en bas de l'cran. Choisissez l'ennemi et
ajoutez-le au niveau comme prcdemment.

4.2.2.2.5 Cration de niveaux Bonus

Un niveau bonus est une zone du niveau courant qui n'est pas accessible
normalement. Pour y arriver, Skunny devra utiliser un "Transporteur". Un
transporteur est un utilitaire spcial qui dplacera Skunny vers un autre
transporteur situ n'importe o dans le niveau. Chaque transporteur ne peut
avoir qu'un et un seul transporteur destination dans le niveau. Les
transporteurs de dpart sont appels TRANS?? (?? est un a nombre) et  ceux de
destination TRANS??D (cf. liste des utilitaires). Voici un exemple:

 TRANS01    Dans le niveau "normal" \___ Pour entrer dans le niveau bonus
 TRANS01D   Dans le niveau bonus    /

 TRANS02    Dans le niveau "normal" \___ Pour sortir du niveau bonus
 TRANS02D   Dans le niveau bonus    /

Notes: - Les transporteurs sont gnralement cachs dans le niveau. Ceci
         est possible en ajoutant des blocs MASKED (cf. ci-dessus) dans le
         plan 2 en face du transporteur. Veuillez lire le paragraphe
         "Information de collision" pour savoir comment reconnatre les
         blocs MASKED.

         Pour bien comprendre comment ce systme fonctionne, veuillez analyser
         le niveau 6 du monde d'entranement.
       - Dans ce jeu, les transporteurs TRANS01, TRANS03, TRANS05 sont
         utiliss pour ENTRER dans un niveau bonus; TRANS02,TRANS04 et TRANS06
         sont utiliss pour SORTIR d'un niveau bonus et,  TRANS07, TRANS08 et
         TRANS09 sont des transporteurs normaux pour dplacer Skunny dans le
         niveau (mais PAS pour entrer ou sortir d'un niveau bonus!).
       - TRANS07, TRANS08 et TRANS09 ont t utiliss notamment dans le niveau
         1 du monde Egyptien et dans le niveau 4 du monde d'entranement.
       - N'utilisez pas plus d'un transporteur destination pour chaque
         transporteur de dpart sinon le systme ne saura pas o envoyer
         Skunny. Par exemple, pour un TRANS01, on peut avoir un seul TRANS01D.
         Par contre, on peut dcider d'avoir DEUX TRANS01 pour autant qu'on ait
         toujours un seul TRANS01D. Il est bien sr possible d'avoir TRANS01,
         TRANS01D, TRANS02, TRANS02D, etc. dans le mme niveau.

4.2.3 Options additionnelles de l'diteur

L'diteur dispose de beaucoup d'autres options que vous pourrez apprendre au
fur et  mesure:

 - Pour voir une map rduite, enfoncez la touche <F11>;
 - Pour prendre une copie de l'cran courant dans un fichier PCX,
   pressez <F9>. Le systme crera alors un fichier COPY001.PCX puis
   COPY002.PCX (la seconde fois qu'on utilise cette fonction), etc.
 - Pour dplacer Skunny  la position du pointeur de la souris, appuyez
   sur <F7>;
 - Pour fixer la position de dpart de Skunny dans un niveau, positionnez
   Skunny et appuyer sur <F10>;
 - Pour ouvrir tous les passages secrets temporairement, enfoncez la touche
   <P>;
 - Aprs voir ajout un objet dans un niveau, utilisez la squence de
   touches <Ctrl><F5> pour que cet objet soit affich devant Skunny (Skunny
   passera derrire l'objet);
 - Pour protger la map contre les modifications, appuyez sur <L>. Le
   mot "PROT" sera alors affich en haut  gauche de l'cran. Pour annuler
   cette fonction appuyez  nouveau sur <L>;
 - Pour afficher le nombre de cls, pices, trsors, etc. qui sont dans
   le niveau, appuyez sur <Barre d'espace>. N'oubliez pas qu'il faut au moins
   100 cls dans le niveau pour que le joueur puisse le terminer. Il est aussi
   important d'ajouter au moins 100 pices pour lui permettre de recevoir une
   vie supplmentaire;
 - Pour construire une chelle, placez toutes les parties de celle-ci,
   ensuite slectionnez la partie infrieure (avec le bouton gauche de la
   souris), pressez <F5>, slectionnez la partie suivante, pressez <F5>, etc.
 - Pour consulter les informations internes de ce systme sur chaque
   objet, slectionnez le plan 3, taper <F2>. Dplacez ensuite le pointeur de
   la souris sur l'objet  consulter et appuyez sur <Barre d'espace>. Si
   l'objet peut se dplacer, appuyez une seconde fois sur <Barre d'espace> pour
   consulter les paramtres du mouvement. Tapez <Esc> pour revenir en mode
   normal.

   Cette option intressera certainement les programmeurs de jeux car
   elle permet de dcouvrir les secrets qui sont utiliss pour construire un jeu
   de cette taille.

4.2.4 Tester les modifications

Pour tester les modifications que nous venons de faire dans un niveau, il
faudra taper <F7> pour placer temporairement Skunny prs de la zone  tester.

Note: On pourra toujours ramener Skunny  la position de dpart du niveau
      en tapant <Ctrl><F10>.

Ensuite, nous tapons <Shift><Tab> pour sortir du mode dition et revenir au
jeu. Nous pouvons maintenant jouer dans le nouveau niveau.

Note: Lorsqu'on quitte le mode dition, tous les changements sont
      sauvegards automatiquement. Nous conseillons d'effectuer cette opration
      de temps en temps lorsqu'on modifie un niveau pour viter qu'une rupture
      de courant, par exemple, ne vous fasse perdre des heures de travail.

4.2.5 Restrictions

Pour un fonctionnement optimal du systme, il y a certaines restrictions 
prendre en considration quand on modifie un niveau ou qu'on en cre un
nouveau:

 - Deux objets du mme type (par exemple une plateforme qui bouge et une
   plateforme de la map) ne peuvent jamais tre en contact. Dans une telle
   situation, le systme ne saurait pas dcider quelle plateforme a priorit
   et cela entranerait un problme visuel ou de jouabilit;
 - Une corde doit toujours tre suffisamment haute: il faut imprativement que
   Skunny doive sauter pour l'atteindre;
 - Une corde raide qui bouge ne peut pas entrer en contact avec un autre
   utilitaire;
 - Ne pas placer les pinball trop prs les uns des autres. Skunny aura
   besoin d'espace pour tre en mesure de contrler le mouvement en passant
   d'un pinball  l'autre (flipper).

Chapitre 5 - Assignement des touches
------------------------------------

Voici un rsum des fonctions assignes  chacune des touches dans le jeu et
dans l'diteur.

5.1 Touches du jeu

Flches              Touches par dfaut pour dplacer Skunny;
CTRL                 Touches par dfaut pour sauter;
SHIFT                Touches par dfaut pour courir;
ALT                  Touches par dfaut pour freiner (train de Skunny);
BackSpace            Pour utiliser un code pour tricher (terminer avec <Enter>);
P                    Pause;
+                    Augmenter le volume de la musique;
-                    Diminuer le volume de la musique;
Shift +              Augmenter le volume des sons;
Shift -              Diminuer le volume des sons;
Shift-Tab            Passer en mode "dition";
Esc                  Fin du jeu.


5.2 Touches de l'diteur

5.2.1 Gnral

Shift-Tab            Sortie du mode "dition";
Space                Affichage des compteurs;
Home                 Positionne la map en haut  gauche;
Page basse           Passe au plan suivant;
Page haute           Passe au plan prcdent;

F3                   Cache tous les plans sauf le plan courant;
F4                   Rserv;
F8                   Rserv;
F9                   Capture d'cran;
F10                  Fixe la position de dpart de Skunny dans le niveau;
CTRL-F10             Dplace la map  la position de dpart de Skunny;
F11                  Affiche une map rduite;
F12                  Cache/ Montre les messages d'aide.

5.2.2 Plan 2

F1                   Affiche le dictionnaire des blocs;
Bouton gauche        Slectionne un bloc dans la map;
Bouton droit         Ajoute le bloc slectionn ou une srie de blocs dans la
                     map;
Shift Bouton droit   Efface le bloc sous le curseur;

Enter-Enter          Slection d'une srie de blocs
Caps-Lock            Annule la slection
ALT-1...ALT-9        Enregistre la slection sur disque:
1..9                 Charge une slection;

P                    Ouvre temporairement les passages secrets;
L                    Protge les blocs contre toute modification;

E                    Modifie le curseur (bloc courant) et choisi le bloc
                     prcdent de la quadri;
R                    Modifie le curseur (bloc courant) et choisi le bloc
                     suivant de la quadri;
D                    Modifie le curseur, ligne prcdente de la quadri;
F                    Modifie le curseur, ligne suivante de la quadri;
C                    Modifie le curseur, mme bloc mais quadri prcdente;
V                    Modifie le curseur, mme bloc mais quadri suivante.

5.2.3 Autres plans

F1                   Affiche le dictionnaire des objets statiques;
F2                   Affiche le dictionnaire des objets mobiles;
F5                   Dplace un objet derrire les autres;
F6                   Dplace un objet devant les autres;
F7                   Dplace Skunny  la position courante du pointeur de la
                     souris;
Bouton gauche        Slectionne/ Dplace un objet;
Bouton droit         Ajoute l'objet courant au plan courant;
BackSpace            Efface l'objet slectionn;
CTRL-F5              Dplace les objets devant ou derrire Skunny;
Space                Affiche les informations internes sur les objets
                     mobiles (on doit tre en mode  dictionnaire (F2).

5.2.4 Mode dictionnaire de blocs (<F1> avec le plan 2)

F1-F12                 Selectionne une quadri;
CTRL                   Affiche les informations de collision;
<Bouton gauche>        Slectionne un bloc/ une srie de blocs;
<Bouton droit>         Passe  la quadri suivante;
<Caps-Lock>            Annule la slection courante;
<Shift><Bouton gauche> Slection de blocs non-adjacents.

5.2.5 Map rduite (<F11> avec le plan 2)

<P>                    Ouvre temporairement les passages secrets;
<Flches>              Dplace la map;
<Bouton gauche>        Positionne la map  l'endroit slectionn;
+                      Augmente la puissance de la loupe;
-                      Diminue la puissance de la loupe.

5.2.6 Ecran de slection de niveau

<F10>                  Pour enregistrer la dmo d'un monde.


Chapitre 6 - Trucs et astuces
-----------------------------

Finalement, un mot de l'quipe de dveloppement de Magic Touch...et de Skunny!

Nous voulons tous vous remercier d'avoir achet ce jeu et nous esprons qu'il
vous procurera de nombreuses heures de dtente. Skunny est probablement le plus
sophistiqu des jeux de plateformes disponibles sur le march aujourd'hui et il
dispose en outre de notre diteur de niveaux intgr unique. Nous vous
encourageons  essayer cet diteur pour vous lancer dans la cration de jeux.
Vous n'avez besoin d'aucune connaissance en informatique pour cela mais vous
devrez tre mthodique et il faudra prparer le travail soigneusement. Ainsi,
vous procurerez beaucoup de joies aux personnes qui joueront vos niveaux et
votre rcompense ultime sera leur acharnement  terminer les dfis que vous
leur avez lancs.

Les ingnieurs qui ont cr les niveaux de Skunny ont prpar une liste de dix
conseils essentiels pour crer des niveaux de qualit:

1. Jouez un maximum de niveaux de Skunny pour bien comprendre tout ce que
   l'diteur peut faire. Il n'est pas important pour cet exercice d'obtenir
   100% mais il est essentiel de connatre la puissance du systme et toutes
   ses options. De cette manire, vous verrez comment crer des passages
   secrets, des niveaux bonus, etc.

2. Pour commencer, ne crez que des niveaux de taille limite mme si le
   systme autorise la cration des niveaux de 200*150 blocs. Des niveaux de
   cette taille (30.000 blocs!) prennent du temps  raliser et nous voulons
   que vous obteniez des rsultats rapidement pour vous encourager  aller
   plus loin lors de votre prochain projet. Il est facile de limiter la taille
   d'un niveau en ajoutant des murs ou des plateformes.

3. Commencez par placer Skunny au dbut du niveau et placez une sortie
   (utilitaire "Endlevel"). Remplissez ensuite cette zone et testez le niveau
   au fur et  mesure de sa cration! C'est la meilleure mthode car le systme
   vous permet d'entrer dans l'diteur, de faire des modifications, de sortir
   de l'diteur, de tester immdiatement votre travail et d'entrer  nouveau
   dans l'diteur pour continuer.

4. Ne mlangez pas trop d'objets diffrents dans le mme niveau. Nous avons
   constat pendant les nombreuses heures de tests de Skunny que les joueurs
   aiment dcouvrir des nouveauts. Il y a des dizaines de manires d'utiliser
   un simple utilitaire comme une plateforme qui bouge ou une corde.

5. Assurez vous qu'il y ait au moins 100 cls et 100 pices d'or dans chaque
   niveau (<barre d'espace> pour contrler les compteurs)! Ne les placez pas
   tous au dbut ou  la fin, tchez d'tre original. Ds que ces bonus sont
   placs, le joueur pourra finir le niveau (en trouvant les 100 cls) et il
   pourra gagner une vie supplmentaire (avec les 100 pices).

6. Placez au moins un point de sauvegarde au milieu du niveau. Il est
   possible si vous le souhaitez d'en ajouter plusieurs. Rendez le niveau un
   peu plus compliqu avant le point de sauvegarde, le joueur sera d'autant
   plus content de le trouver!

7. Quand vous crez des passages, assurez-vous qu'ils aient au moins cinq
   blocs de haut pour que Skunny ait toute la place ncessaire pour sauter et
   viter que le joueur ait une impression de "claustrophobie".

8. Ajoutez trois niveaux bonus par niveau et n'oubliez surtout pas le trsor
   et beaucoup de passages secrets. La dcouverte des niveaux bonus et du
   trsor compte pour 50% dans le pourcentage de ralisation d'un niveau.
   Assurez-vous encore que le joueur puisse terminer le niveau sans trop de
   difficult mais qu'il n'obtienne pas un score suprieur  60% la premire
   fois qu'il joue! Demandez  des amis de tester votre niveau avant de le
   distribuer.

9. Skunny est un cureuil plein d'nergie et il adore courir. Crez de
   longues zones ou il peut courir  pleine vitesse (utilisez les pentes et
   non les plateformes horizontales pour un meilleur effet visuel) et ramasser
   plein de bonus. Les joueurs aiment beaucoup cette situation et ils oublient
   souvent qu'il peut y avoir un mchant ennemi  la fin de la course!

10.Il faut imprativement que Skunny puisse aller du dbut  la fin du niveau
   mais aussi de la fin au dbut car ce jeu n'est pas un jeu linaire. Evitez
   aussi que Skunny ne perde une vie dans un niveau bonus, ne crez pas de
   piges dans ces niveaux.



Amusez-vous bien! Si vous avez aim crer ces niveaux, il y a de grandes
chances que d'autres aimeront les jouer...


                                             Philippe Mercier
                                             President
                                             Magic Touch

Document (c) EDISYS SCRL/ MAGIC TOUCH 1995
All rights reserved worldwide.



